App\Library\Amazon\Classes\MemoryReader:
    xml_root_name: MemoryReader
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        audioOutputMode:
            expose: true
            access_type: public_method
            serialized_name: AudioOutputMode
            accessor:
                getter: getAudioOutputMode
                setter: setAudioOutputMode
            type: App\Library\Amazon\Classes\AudioOutputMode
        cardReaderInterface:
            expose: true
            access_type: public_method
            serialized_name: CardReaderInterface
            accessor:
                getter: getCardReaderInterface
                setter: setCardReaderInterface
            type: App\Library\Amazon\Classes\CardReaderInterface
        communicationInterface:
            expose: true
            access_type: public_method
            serialized_name: CommunicationInterface
            accessor:
                getter: getCommunicationInterface
                setter: setCommunicationInterface
            type: App\Library\Amazon\Classes\CommunicationInterface
        compatibleMemoryCard:
            expose: true
            access_type: public_method
            serialized_name: CompatibleMemoryCard
            accessor:
                getter: getCompatibleMemoryCard
                setter: setCompatibleMemoryCard
            xml_list:
                inline: true
                entry_name: CompatibleMemoryCard
            type: array<App\Library\Amazon\Classes\CompatibleMemoryCard>
        digitalAudioCapacity:
            expose: true
            access_type: public_method
            serialized_name: DigitalAudioCapacity
            accessor:
                getter: getDigitalAudioCapacity
                setter: setDigitalAudioCapacity
            type: App\Library\Amazon\Classes\DigitalAudioCapacity
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        movementDetectionTechnology:
            expose: true
            access_type: public_method
            serialized_name: MovementDetectionTechnology
            accessor:
                getter: getMovementDetectionTechnology
                setter: setMovementDetectionTechnology
            type: boolean
        readSpeed:
            expose: true
            access_type: public_method
            serialized_name: ReadSpeed
            accessor:
                getter: getReadSpeed
                setter: setReadSpeed
            type: App\Library\Amazon\Classes\ReadSpeed
        recordingCapacity:
            expose: true
            access_type: public_method
            serialized_name: RecordingCapacity
            accessor:
                getter: getRecordingCapacity
                setter: setRecordingCapacity
            type: App\Library\Amazon\Classes\RecordingCapacity
        speedClassRating:
            expose: true
            access_type: public_method
            serialized_name: SpeedClassRating
            accessor:
                getter: getSpeedClassRating
                setter: setSpeedClassRating
            type: App\Library\Amazon\Classes\SpeedClassRating
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
        wirelessStandard:
            expose: true
            access_type: public_method
            serialized_name: WirelessStandard
            accessor:
                getter: getWirelessStandard
                setter: setWirelessStandard
            type: App\Library\Amazon\Classes\WirelessStandard
        writeSpeed:
            expose: true
            access_type: public_method
            serialized_name: WriteSpeed
            accessor:
                getter: getWriteSpeed
                setter: setWriteSpeed
            type: App\Library\Amazon\Classes\WriteSpeed
